//=============================================================================
// LightTube.
//=============================================================================
class LightTube extends DeusExDecoration;

enum ESkinColor
{
	SC_Green,
	SC_BLue,
	SC_Red,
	SC_Yellow
};

var() ESkinColor SkinColor;

function BeginPlay()
{
	Super.BeginPlay();

	switch (SkinColor)
	{
		case SC_Green:	MultiSkins[1] = Texture'LightTubeTex2'; break;
		case SC_Blue:	MultiSkins[1] = Texture'LightTubeTex3'; break;
		case SC_Red:	MultiSkins[1] = Texture'LightTubeTex4'; break;
		case SC_Yellow:	MultiSkins[1] = Texture'LightTubeTex5'; break;
	}
}

defaultproperties
{
     HitPoints=5
     bInvincible=True
     bHighlight=False
     ItemName="Light Tube"
     bPushable=False
     Physics=PHYS_None
     Mesh=LodMesh'Endemia.LightTube'
     CollisionRadius=24.000000
     CollisionHeight=1.000000
     Mass=10.000000
     Buoyancy=15.000000
}
